Update Tool details
curl --request PUT \
--url https://api.trugen.ai/v1/ext/tool/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": "tool.client",
"schema": {
"type": "function",
"name": "start_cloud_browser_session1",
"description": "Starts the dashboard page with logged in session1.",
"parameters": {
"type": "object",
"properties": {
"url": {
"type": "string",
"description": "URL to navigate to"
}
},
"required": [
"url"
]
}
},
"request_config": {
"method": "GET",
"url": "https://www.example.com/information",
"headers": {
"User-Agent": "Trugen Avatar",
"Accept": "application/json"
}
},
"event_messages": {
"on_start": {
"message": "Getting stock price data..."
},
"on_success": {
"message": "Successfully received data."
},
"on_delay": {
"delay": 1,
"message": "Waiting for stock price data..."
},
"on_error": {
"message": "Failed to retrieve stock price data"
}
}
}
'import requests
url = "https://api.trugen.ai/v1/ext/tool/{id}"
payload = {
"type": "tool.client",
"schema": {
"type": "function",
"name": "start_cloud_browser_session1",
"description": "Starts the dashboard page with logged in session1.",
"parameters": {
"type": "object",
"properties": { "url": {
"type": "string",
"description": "URL to navigate to"
} },
"required": ["url"]
}
},
"request_config": {
"method": "GET",
"url": "https://www.example.com/information",
"headers": {
"User-Agent": "Trugen Avatar",
"Accept": "application/json"
}
},
"event_messages": {
"on_start": { "message": "Getting stock price data..." },
"on_success": { "message": "Successfully received data." },
"on_delay": {
"delay": 1,
"message": "Waiting for stock price data..."
},
"on_error": { "message": "Failed to retrieve stock price data" }
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'tool.client',
schema: {
type: 'function',
name: 'start_cloud_browser_session1',
description: 'Starts the dashboard page with logged in session1.',
parameters: {
type: 'object',
properties: {url: {type: 'string', description: 'URL to navigate to'}},
required: ['url']
}
},
request_config: {
method: 'GET',
url: 'https://www.example.com/information',
headers: {'User-Agent': 'Trugen Avatar', Accept: 'application/json'}
},
event_messages: {
on_start: {message: 'Getting stock price data...'},
on_success: {message: 'Successfully received data.'},
on_delay: {delay: 1, message: 'Waiting for stock price data...'},
on_error: {message: 'Failed to retrieve stock price data'}
}
})
};
fetch('https://api.trugen.ai/v1/ext/tool/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tools
Update Tool
Updates an existing client-side tool using its unique ID.
PUT
/
ext
/
tool
/
{id}
Update Tool details
Authorizations
Path Parameters
The UUID of the tool to update
Example:
"611eaabb-0884-440f-a4f1-a04b9ad8a597"
Body
application/json
Response
Tool details updated successfully
Was this page helpful?
⌘I